Subject: Re: bug#75837: [PATCH] Add autosave timer to save-place in harmony with savehist

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Feb 2025 13:06:14 +0200

> From: Ship Mints <[email-masked]>
> Date: Sat, 25 Jan 2025 14:26:40 -0500
> 
> * lisp/saveplace.el (save-place-autosave-interval):
> Add supporting functions for save-place autosave idle timer.
> 
> I have a private implementation of this that I rely on that other people might find helpful as a builtin.

Thanks, a few comments below.

> * lisp/saveplace.el (save-place-autosave-interval):
> Add supporting functions for save-place autosave idle timer.

This log message is incomplete.  Please mention all the changes in all
the functions/variables.

> +(defcustom save-place-autosave-interval (* 5 60)
> +  "The interval between autosaves of buffer places.
> +If set to nil, disables timer-based autosaving.
> +Use `setopt' or Customize commands to set this option."
> +  :type '(choice (const :tag "Disabled" nil)
> +                 (integer :tag "Seconds"))
> +  :version "31.1"

Why should we turn this on by default?  I think it should be disabled
by default.

Finally, this needs a NEWS entry.